package com.yingpaipay.business.domain.dto;

import lombok.Data;

@Data
public class TextInR<R> {

    private Integer code;

    private String message;

    private R result;

    public boolean isOk() {
        return code != null && code == 200;
    }

    public boolean isError() {
        return !isOk();
    }

}
